:root {
    --teal: #57C2B7;
    --smoke-1: #EAEDF0;
    --smoke-2: #F0F4F6;
    --deep-purple: #8314DD;
    --light-purple: #9F6CEC;
}

html,
body {
    margin: 0;
    font-family: 'Play', sans-serif;
    background: var(--smoke-1);
}

h1,
h2,
h3 {
    color: var(--teal);
    font-weight: 400;
}

nav {
    border-bottom: 1px solid grey;
    background-color: var(--deep-purple);
    color: var(--smoke-2);
    font-size: 1.3em;
    margin-bottom: 50px;
}

nav ul {
    margin: 0 auto;
    padding: 35px;
    display: flex;
    justify-content: space-between;
}

nav li {
    margin: 0;
    list-style: none;
    cursor: pointer;
    box-sizing: content-box
}

nav li a {
    text-decoration: none;
    color: inherit;
}

.btn {
    font-size: 0.9em;
}

footer {
    background-color: var(--deep-purple);
}

footer .container {
    margin: 50px auto 0;
    padding: 35px;
    color: var(--smoke-2);
    font-size: 1.3em;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer p {
    max-width: 500px;
}

.footer-links a {
    margin: 5px;
    text-decoration: none;
    color: inherit;
}

@media (max-width: 850px) {
    .footer-links {
        display: flex;
        flex-direction: column;
    }
}

@media (max-width: 715px) {
    footer .container {
        display: flex;
        flex-direction: column;
    }
}

.container {
    /* margin: 0 auto; */
    max-width: 1200px;
}

.container-main {
    margin: 0 auto;
    padding: 0 25px;
    min-height: 300px;
}

.game-card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

@media (max-width: 783px) {
    .game-card-container {
        flex-direction: column;
        align-items: center;
    }

    .container-main h1 {
        text-align: center;
    }
}

.home-title {
    margin-bottom: 50px;
}


.game-card {
    width: 350px;
    border: 1px solid var(--deep-purple);
    display: flex;
    margin: 10px 15px 35px 0;
    /* box-shadow: 3px 0 var(--light-purple); */
}

.game-card img {
    width: 175px;
    height: 130px;
    object-fit: cover;
}

.game-card-info h3 {
    margin: 0;
}

.game-card-ping-btn, .contact-btn {
    margin-top: 10px;
    padding: 10px 20px;
    border-radius: 5px;
    border: 1px solid var(--deep-purple);
    background-color: var(--deep-purple);
    color: var(--smoke-2);
    cursor: pointer;
}

.game-card-ping-btn:hover {
    background-color: var(--smoke-2);
    border: 1px solid var(--light-purple);
    color: var(--deep-purple);
}

.game-card-info {
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: left;
}


/* GAME PAGE */

.container-status {
    margin: 0 auto;
    display: flex;
}

.about-game {
    text-align: center;
    padding: 0 20px;
    width: 50%;
    border-right: 1px solid var(--deep-purple);
}

@media (max-width: 940px) {
    .container-status {
        flex-direction: column;
        align-items: center;
    }
    .about-game {
        border-right: none;
    }

    .ping-tracker {
        flex-direction: column;
        align-items: center;
    }

    .ping-items {
        margin-top: 10px;
    }

    .about-game,
    .ping-list {
        width: 70%;
    }
}

.about-game-content {
    text-align: left;
}

.ping-list {
    padding: 0 20px;
    width: 50%;
    /* max-width: 400px; */
}

.ping-btn {
    background-color: var(--smoke-2);
    padding: 10px 20px;
    border-radius: 5px;
    border: 1px solid var(--light-purple);
    color: var(--deep-purple);
    margin-bottom: 10px;
    cursor: pointer;
}

.ping-btn:hover {
    background-color: var(--deep-purple);
    color: var(--smoke-2);
}

.pinging-btn {
    background-color: var(--deep-purple);
    color: var(--smoke-2);
}

.pinging-btn:hover {
    background-color: var(--smoke-2);
    border: 1px solid var(--light-purple);
    color: var(--deep-purple);
}

.about-game-img {
    width: 100%;
}

.about-game-title {
    text-align: center;
    margin-bottom: 20px;
}

.ping-tracker {
    display: flex;
    justify-content: space-between;
    margin: 30px 0;
    position: relative;
}

.ping-tracker p {
    margin: 0;
}

.ping-divider {
    margin: 0 auto;
    width: 85%;
    border: 0.5px solid grey;
}

.ping-tracker-container {
    flex-direction: column;
    display: flex;
}

.pinging-dots {
    display: none;
    margin-bottom: 10px;
}

@keyframes blink {

    0%,
    100% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }
}

.pinging-dot {
    animation: 1s blink infinite;
    font-size: 2rem;
}

.pinging-dot:nth-child(1) {
    animation-delay: 300ms;
}

.pinging-dot:nth-child(2) {
    animation-delay: 600ms;
}

.ping-loader {
    box-sizing: border-box;
    width: 150px;
    height: 25px;
    border-radius: 5px;
    background-color: #D8DEE3;
    transition: all 0.5s;
    border-left: 75px solid var(--teal);
}

#pingsLoading {
    margin: 10px auto;
    box-sizing: border-box;
    width: 200px;
    height: 25px;
    border-radius: 5px;
    background-color: #D8DEE3;
    transition: all 0.5s;
    display: none;
}

.ping-items {
    display: flex;
}

.ping-items .ping-number {
    margin-left: 20px;
}

.game-sitemap-link {
    text-decoration: none;
    color: var(--deep-purple);
}

.game-sitemap-link:hover {
    text-decoration: none;
    color: var(--light-purple);
}

/* GAMES DROPDOWN MENU */

li ul {
    display: none;
    max-height: 50%;
    overflow-y: auto;
    padding: 0;
    border: 1px solid var(--smoke-2) !important;
    background-color: var(--deep-purple) !important;
}

li:hover ul {
    display: block;
    position: absolute;
    padding: 20px;
    border: 1px solid var(--deep-purple);
    background-color: 1px solid var(--light-purple);
    z-index: 1;
}

li ul li {
    border-bottom: 1px solid var(--smoke-2);
    margin-bottom: 20px;
    padding-bottom: 5px;
}

li ul li:hover {
    border-bottom: 1px dashed var(--smoke-2);
}

/* CONTACT FORM */
.contact-form {
    margin: 0 auto;
    width: 75%;
    max-width: 400px;
}

.contact-form input,
.contact-form textarea {
    margin: 10px 0;
    padding: 10px;
    border: 1px solid var(--deep-purple);
    border-radius: 5px;
    width: 100%;
}